<!doctype html>
<html>
<head>
  <meta charset="utf-8">
  <title>Stack-BarChart Example</title>
  <meta name="viewport" content="width=device-width,initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
  <script src="https://d3js.org/d3.v4.min.js" charset="utf-8"></script>

</head>

<style>

    .chart .legend {
      fill: black;
      font: 14px sans-serif;
      text-anchor: start;
      font-size: 12px;
    }
    
    .chart text {
      fill: white;
      font: 10px sans-serif;
      text-anchor: end;
    }
    
    .chart .label {
      fill: black;
      font: 14px sans-serif;
      text-anchor: end;
    }
    
    .bar:hover {
      fill: brown;
    }
    
    .axis path,
    .axis line {
      fill: none;
      stroke: #000;
      shape-rendering: crispEdges;
    }
      
</style>

<body>

<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>


<nav class="navbar navbar-light bg-light">
    <div class="container">
        <span class="navbar-brand mb-0 h1">D3 Chart Example</span>
    </div>
</nav>
<br><br>

<div class="container">
    <h3 style="margin-left: 250px; margin-bottom: 20px;">Grouped Horizontal Barchart</h3>
    <svg class="chart"></svg>
</div>





  <script src="https://d3js.org/d3.v3.min.js"></script>
  <script src="js/dataPrep.js"></script>
  <script src="js/HorizontalMultiBarChart.js"></script>

</body>


</html>